% computes the clustering/classification accuracy
function [a, newLbls] = accur(trueLabels, computedLabels)
    maxA = 0;
    Labels = unique(trueLabels);
    permLabels = perms(Labels);
    for i = 1:size(permLabels,1)  % find the best permutation
        inds = cell(size(permLabels(i,:),1));
        for j = 1:size(permLabels(i,:),2)
            inds_ = find(computedLabels == j);
            inds{j} = inds_';
        end;
        tmpLabels = zeros(size(computedLabels, 1),1);
        for j = 1:size(permLabels(i,:),2)
            inds_ = inds{j};
            tmpLabels(inds{j},1) = permLabels(i,j);
        end;
        same = find(trueLabels == tmpLabels);
        tmpA = size(same, 1) / size(trueLabels, 1);
        if (maxA < tmpA) 
            maxA = tmpA;
            newLbls = tmpLabels;
        end;
    end;
    a = maxA;